html {
    font-size: 62.5%;
    box-sizing: border-box;
}

/* box-sizing: border-box; This rule sets the box-sizing property of the HTML element 
to border-box. The box-sizing property determines how the width and height of an element 
are calculated, taking into account its padding and border. When set to border-box, the 
width and height of an element include its content, padding, and border, without adding 
extra space. This can help with more predictable layouts and sizing calculations, as the 
total space an element occupies is explicit. */

*, *:before, *:after {
    box-sizing: inherit;
}

/*
    * {} means => Select all elements in the HTML file. Therefore, box-sizing: border-box; will be applied to all elements. This will prevent padding from modifying the size of an element
    , is a way to avoid writing duplicate code. Example:
    .Class1 {font-size: 2 rem;} .Class2 {font-size: 2 rem;} => .Class1, Class2 {font-size: 2 rem;}
    *:before, *:after is there to apply the box sizing even if you use a "before" or "after" at some point.
    "before" and "after" are pseudoelements that can add content right before or right after an HTML element. Example:
    .Class1 {}
    -Class1::after {content: 'This will show right after elements from Class1'}
*/

body {
    background-color: aquamarine;
    font-size: 3rem; 
}

.hero {
    background-image: url(../img/background.jpg); 
    background-repeat: no-repeat; 
    background-size: cover; 
    height: 450px;
    padding: 50px;
    /* Both height and padding will modify the image's. Lets say the desired height of the image is 450px. */
    /* The padding will still add 20px on each side, so the height will actually be 470 px. This can be undesitable*/
    /* Changing this behaviour will require the programmer to understand the Box Model. */
    /* CSS Box Model: Everything in CSS can be thought of as a box. The size of this box will be derermined by it's content size, */
    /* padding, the border's size and the margin's size */
    /* https://developer.mozilla.org/en-US/docs/Web/CSS/box-sizing */
    /* To make things easier notice box-sizing in the html section */
}

.hero-content {
    color: white;
}